namespace InABox.DigitalMatter
{
    public class DMConfirmResponse : DMMessage
    {
        public override byte Type => 0x06;

        public byte Status { get; set; }

        protected override void DoDecode(IDMReadBuffer buffer)
        {
            Status = buffer.TakeByte();
        }

        protected override void DoEncode(IDMWriteBuffer buffer)
        {
            buffer.AddByte(Status);
        }
    }
}